{VERSION 1 0 "X11/Motif" "1.0"}{GLOBALS 1 1}{FONT 0 "fixed" "fixe
d" "Courier" 4 12 192 "Courier-Bold" 9}{FONT 1 "-adobe-times-medi
um-r-normal--20-*-*" "times" "Times-Roman" 4 12 64 "Times-Roman" 
9}{FONT 2 "-adobe-courier-medium-r-normal--20-*-*" "courier" "Cou
rier" 4 12 192 "Courier" 9}{SCP_R 1 0 13{COM_R 2 0{TEXT 1 54 "TP \+
Maple : Etude des puissances d'une matrice carree.\015"}}{INP_R 3
 0 "> "{TEXT 0 13 "with(linalg):"}}{COM_R 4 0{TEXT 1 91 "\015math
asard(n,a,b) tire une matrice n*n au hasard avec des coefficients
 compris entre a et b"}}{INP_R 5 0 "> "{TEXT 0 197 "mathasard := \+
proc(n:integer,a:numeric,b:numeric)\012local M,i,j;\012  M := mat
rix(n,n);\012  for i from 1 to n do for j from 1 to n do \012    \+
M[i,j] := a + (b-a)*rand()*Float(1,-12);\012  od od;\012  evalm(M
);\012end:"}}{COM_R 6 0{TEXT 1 58 "\015stochasard(n) tire une mat
rice n*n stochastique au hasard"}}{INP_R 7 0 "> "{TEXT 0 225 "sto
chasard := proc(n:integer)\012local M,i,j,s;\012  M := randmatrix
(n,n,entries=rand);\012  for i from 1 to n do\012    j := 'j';\01
2    s := sum(M[i,j],j=1..n);\012    for j from 1 to n do M[i,j] \+
:= evalf(M[i,j]/s) od;\012  od;\012  evalm(M);\012end:"}}{COM_R 8
 0{TEXT 1 56 "\015ps(A,B) calcule le produit scalaire des matrice
s A et B"}}{INP_R 9 0 "> "{TEXT 0 220 "ps := proc(A:matrix,B:matr
ix)\012local i,j;\012  if (rowdim(A) <> rowdim(B)) or (coldim(A) \+
<> coldim(B))\012  then ERROR(`matrices de dimensions differentes
`)\012  else sum(sum(A[i,j]*B[i,j],i=1..rowdim(A)),j=1..coldim(A)
)\012  fi\012end:"}}{COM_R 10 0{TEXT 1 37 "\015mround(x,n) arrond
it x a n decimales"}}{INP_R 11 0 "> "{TEXT 0 170 "mround := proc(
x,n:integer)\012   if type(x,numeric) then round(Float(1,n)*x)*Fl
oat(1,-n)\012 elif type(x,name) then x\012 elif evalb(x=I)   then
 x\012 else map(mround,x,n) \012 fi\012end:"}}{COM_R 12 0{TEXT 1 
44 "\015mprint(x,n) imprime x arrondi a n decimales"}}{INP_R 13 0
 "> "{TEXT 0 44 "mprint := (x,n) -> print(mround(eval(x),n)):"}}
{COM_R 14 0{TEXT 1 65 "\015--------------------------------------
------------------------\015\015"}}}{END}
